GET /Assets

xero.com:xero_assets

Summary: searches fixed asset
Operation ID: getAssets
Auth: unknown
Description

By passing in the appropriate options, you can search for available fixed asset in the system

Parameters (7)

filterBy (string, query, optional)

A string that can be used to filter the list to only return assets containing the text. Checks it against the AssetName, AssetNumber, Description and AssetTypeName fields.

orderBy (string, query, optional)

Requests can be ordered by AssetType, AssetName, AssetNumber, PurchaseDate and PurchasePrice. If the asset status is DISPOSED it also allows DisposalDate and DisposalPrice.

Constraints: {'enum': ['AssetType', 'AssetName', 'AssetNumber', 'PurchaseDate', 'PurchasePrice', 'DisposalDate', 'DisposalPrice']}

page (integer, query, optional)

Results are paged. This specifies which page of the results to return. The default page is 1.

pageSize (integer, query, optional)

The number of records returned per page. By default the number of records returned is 10.

sortDirection (string, query, optional)

ASC or DESC

Constraints: {'enum': ['asc', 'desc']}

status (?, query, required)

Required when retrieving a collection of assets. See Asset Status Codes

xero-tenant-id (string, header, required)

Xero identifier for Tenant

No probe data for this endpoint yet.